# Select Widgets

There are two ways to modify the composition of the default Evidently [reports](/v0.1.57/reports.md).

### 1. Choose between the short and full version

We have two levels of verbosity for each Tab. To change it, you need to specify the **verbose\_level** parameter when you define the Dashboard.

```
dashboard = Dashboard(tabs=[RegressionPerformanceTab(verbose_level=1)])
```

* **verbose\_level==1** - full report
* **verbose\_level==0** - short report

The short report contains a reduced number of widgets.

### 2. Specify the exact list of widgets in the Tabs

![](/files/tx1g3rMzHjMFN3llhwcD)

You can also specify the individual widgets you want to include in a given Tab.

To select the widgets in the Tab, you should define the **include\_widgets** parameter in the Tab class. To see the available widgets, run the `list_widgets()` method of the Tab object:

```
RegressionPerformanceTab.list_widgets()
```

![](/files/ZjyHhij4Kr45evywYTZO)

Next, choose the widgets you need (**include\_widgets** overwrites the **verbose\_level** parameter):

```
dashboard = Dashboard(tabs=[RegressionPerformanceTab(verbose_level=0, include_widgets=[
    "Regression Model Performance Report.",
    "Reference: Error Distribution",
    "Current: Error Distribution",
])])
```

The widgets will appear in the Tab in the same order as listed.

You can also add your own [custom](/v0.1.57/user-guide/customization/add-a-custom-widget-or-tab.md) widgets.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-old.evidentlyai.com/v0.1.57/user-guide/customization/select-widgets-to-display.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
